> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Published Collections



## OpenAPI

````yaml /api-reference/openapi/lite.json get /published-collections/
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /published-collections/:
    get:
      summary: Get Published Collections
      operationId: get_published_collections_published_collections__get
      parameters:
        - name: sort_order
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/PublishedCollectionsSortOrder'
        - name: merchant_id
          in: query
          required: true
          schema:
            type: string
            title: Merchant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LitePublishedCollectionDto'
                title: Response Get Published Collections Published Collections  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    PublishedCollectionsSortOrder:
      type: string
      enum:
        - published_at
        - popular
      title: PublishedCollectionsSortOrder
    LitePublishedCollectionDto:
      properties:
        merchant_id:
          type: string
          title: Merchant Id
        collection_id:
          type: string
          title: Collection Id
        title:
          type: string
          title: Title
        handle:
          type: string
          title: Handle
        preview_url:
          type: string
          title: Preview Url
        used_features:
          items:
            $ref: '#/components/schemas/LiteFeatures'
          type: array
          title: Used Features
        likes:
          type: integer
          title: Likes
        published_at:
          type: string
          format: date-time
          title: Published At
        merchant_display_name:
          type: string
          title: Merchant Display Name
        shopify_base_url:
          type: string
          title: Shopify Base Url
      type: object
      required:
        - merchant_id
        - collection_id
        - title
        - handle
        - preview_url
        - used_features
        - likes
        - published_at
        - merchant_display_name
        - shopify_base_url
      title: LitePublishedCollectionDto
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LiteFeatures:
      type: string
      enum:
        - content_block
        - product_duplicate
        - image_setting
      title: LiteFeatures
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````